@import "../helper/variables"
@import "../helper/media"
// SLICK-SLIDER
.slick-slider
  position: relative
  display: block
  box-sizing: border-box
  user-select: none
  touch-action: pan-y
  &.image-slider,
  &.img-carousel
    overflow-x: hidden
  .slick-list
    position: relative
    display: block
    overflow: hidden
    width: 100%
    margin: 0
    padding: 0
    &:focus
      outline: none
    &.dragging
      cursor: hand
  .slick-track,
  .slick-list
    transform: translate3d(0, 0, 0)
  .slick-track
    position: relative
    top: 0
    left: 0
    &:before,
    &:after
      display: table
      content: ''
    &:after
      clear: both
  .slick-slide
    float: left
    cursor: grab
    height: 100%
    min-height: 1px
    margin-bottom: 0
    img
      display: block
      width: 100%
    //navigation
  .slick-next,
  .slick-prev
    position: absolute
    width: 60px
    height: 60px
    cursor: pointer
    z-index: 101
    text-indent: -9999px
    top: 50%
    @include transform-y
    background-color: $colorBlack
    @include transition
    &:after
      display: block
      position: absolute
      border-top: 1px solid $colorWhite
      border-left: 1px solid $colorWhite
      text-align: center
      content: ""
      color: $colorWhite
      line-height: 29px
      width: 14px
      height: 14px
      margin: -14px 0 0
      text-indent: 0 !important
      left: 21px
      top: 37px
      transform: rotate(135deg)
    &:hover
      background-color: $colorDark
  .slick-prev
    left: 0
    right: auto
    &:after
      transform: rotate(-45deg)
      left: 27px
  .slick-next
    left: auto
    right: 0
  .slick-dots
    position: absolute
    bottom: 20px
    left: 50%
    @include transform-x
    @include wrap
    margin: 0
    padding: 0
    display: flex
    justify-content: center
    list-style: none
    li
      float: left
      margin: 0 0 0 6px
      width: auto
      height: auto
      &:first-child
        margin-left: 0
      &.slick-active
        button
          transform: scale(1.2)
          background: linear-gradient(135deg, #23BCBA 0%, #45E994 100%)
    button
      float: left
      text-indent: -9999px
      border: 0
      width: 8px
      height: 8px
      border-radius: 50%
      background-color: $colorGray
      @include transition
      cursor: pointer
      transform: scale(1)
      &:hover
        transform: scale(1.2)
        background: linear-gradient(135deg, #23BCBA 0%, #45E994 100%)

//comments-slider
.comments-slider
  padding-bottom: 45px
